<div id="edit-product-container">
    <div id="edit-product-control-container">
        <button class="defaultBtn" (click)="onSave()"><span>{{ "Save" | localize }}</span></button>
    </div>

    <div class="edit-product-item" *ngFor="let product of products">
        <div class="edit-product-item-fields-container" class="edit-product-item-fields-container">
            <div class="edit-product-item-fields">
                <label class="edit-field-label">{{ "NameEn" | localize }}</label>
                <input class="edit-field-input" type="text" spellcheck="false" [(ngModel)]="product.nameEn" (ngModelChange)="onModelChanged(product)">
            </div>
            <div class="edit-product-item-fields">
                <label class="edit-field-label">{{ "NameUk" | localize }}</label>
                <input class="edit-field-input" type="text" spellcheck="false" [(ngModel)]="product.nameUk" (ngModelChange)="onModelChanged(product)">
            </div>
            <div class="edit-product-item-fields">
                <label class="edit-field-label">{{ "DescriptionEn" | localize }}</label>
                <input class="edit-field-input" type="text" spellcheck="false" [(ngModel)]="product.descriptionEn" (ngModelChange)="onModelChanged(product)">
            </div>
            <div class="edit-product-item-fields">
                <label class="edit-field-label">{{ "DescriptionUk" | localize }}</label>
                <input class="edit-field-input" type="text" spellcheck="false" [(ngModel)]="product.descriptionUk" (ngModelChange)="onModelChanged(product)">
            </div>
            <div class="edit-product-item-fields">
                <label class="edit-field-label">{{ "Price" | localize }}</label>
                <input class="edit-field-input" min="0" type="number" [(ngModel)]="product.price" (ngModelChange)="onModelChanged(product)">
            </div>
            <div class="edit-product-item-fields">
                <label class="edit-field-label">{{ "TopNotesEn" | localize }}</label>
                <input class="edit-field-input" type="text" spellcheck="false" [(ngModel)]="product.topNotesEn" (ngModelChange)="onModelChanged(product)">
            </div>
            <div class="edit-product-item-fields">
                <label class="edit-field-label">{{ "MiddleNotesEn" | localize }}</label>
                <input class="edit-field-input" type="text" spellcheck="false" [(ngModel)]="product.middleNotesEn" (ngModelChange)="onModelChanged(product)">
            </div>
            <div class="edit-product-item-fields">
                <label class="edit-field-label">{{ "BaseNotesEn" | localize }}</label>
                <input class="edit-field-input" type="text" spellcheck="false" [(ngModel)]="product.baseNotesEn" (ngModelChange)="onModelChanged(product)">
            </div>
            <div class="edit-product-item-fields">
                <label class="edit-field-label">{{ "TopNotesUk" | localize }}</label>
                <input class="edit-field-input" type="text" spellcheck="false" [(ngModel)]="product.topNotesUk" (ngModelChange)="onModelChanged(product)">
            </div>
            <div class="edit-product-item-fields">
                <label class="edit-field-label">{{ "MiddleNotesUk" | localize }}</label>
                <input class="edit-field-input" type="text" spellcheck="false" [(ngModel)]="product.middleNotesUk" (ngModelChange)="onModelChanged(product)">
            </div>
            <div class="edit-product-item-fields">
                <label class="edit-field-label">{{ "BaseNotesUk" | localize }}</label>
                <input class="edit-field-input" type="text" spellcheck="false" [(ngModel)]="product.baseNotesUk" (ngModelChange)="onModelChanged(product)">
            </div>
        </div>
    </div>
</div>